using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SC.SC
{
    [Description("责任制组织架构")]
    public class T_SC_DEPARTMENT : MesEntityBase
    {
        /// <summary>
        /// 责任制岗位ID
        /// </summary>
        [Description("责任制岗位ID")]
        [DataFieldForeignKey("Nav_Post", "Nav_Depts")]
        public Guid POST_ID { get; set; }

        /// <summary>
        /// 导航:责任制岗位
        /// </summary>
        [Description("导航:责任制岗位")]
        public T_SC_POST Nav_Post { get; set; }

        [Description("组织架构")]
        [DataFieldForeignKey("Nav_Department")]
        public Guid? DEPARTMENT_ID { get; set; }

        [Description("组织架构")]
        public virtual T_FM_DEPARTMENT Nav_Department { get; set; }

        [Description("部门岗位")]
        [FormFieldEdit]
        public List<T_SC_DEPARTMENT_POST> Nav_Posts { get; set; }
    }
}
